Bug 445211 - [RFE] DTR/DSR flow control
Summary: [RFE] DTR/DSR flow control
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel
Version: 5.3
Hardware: All
OS: Linux
urgent
medium
Target Milestone: rc
: ---
Assignee: Aristeu Rozanski
QA Contact: Martin Jenner
URL:
Whiteboard:
Depends On:
Blocks: 445213 445215 KernelPrio5.3 466887 1051358
TreeView+ depends on / blocked
 
Reported: 2008-05-05 15:03 UTC by Geert Jansen
Modified: 2014-01-10 06:31 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-01-20 19:33:55 UTC


Attachments (Terms of Use)
first test patch (latest git based) (10.70 KB, patch)
2008-06-04 15:46 UTC, Aristeu Rozanski
no flags Details | Diff
first test patch (7.43 KB, patch)
2008-06-04 15:49 UTC, Aristeu Rozanski
no flags Details | Diff
test case (5.04 KB, text/plain)
2008-06-13 14:49 UTC, Aristeu Rozanski
no flags Details
updated test case (6.17 KB, text/plain)
2008-06-19 14:41 UTC, Aristeu Rozanski
no flags Details
[1/2] backport termiox support (7.67 KB, patch)
2008-08-28 21:17 UTC, Aristeu Rozanski
no flags Details | Diff
[2/2] add support for DTR/DSR flow control (9.33 KB, patch)
2008-08-28 21:17 UTC, Aristeu Rozanski
no flags Details | Diff
updated test case (8.97 KB, text/x-csrc)
2008-08-28 21:18 UTC, Aristeu Rozanski
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2009:0225 normal SHIPPED_LIVE Important: Red Hat Enterprise Linux 5.3 kernel security and bug fix update 2009-01-20 16:06:24 UTC

Description Geert Jansen 2008-05-05 15:03:44 UTC
Description of problem:

DTR/DSR flow control is not implemented in the serial driver in the Linux kernel.

Version-Release number of selected component (if applicable):

kernel-2.6.18-84.el5

Additional info:

DTR/DSR is often used for serial printers and other serial hardware (with the
exception of modems).

Comment 1 Linda Wang 2008-05-06 01:40:52 UTC

*** This bug has been marked as a duplicate of 445215 ***

Comment 3 Linda Wang 2008-05-06 14:23:13 UTC
bug 445215 for kernel component
bug 445213 for coreutils component

Comment 4 Aristeu Rozanski 2008-06-04 15:46:03 UTC
Created attachment 308359 [details]
first test patch (latest git based)

made some tests between a Windows box and a machine running this patch, both
sides using a custom application.

Comment 5 Aristeu Rozanski 2008-06-04 15:49:33 UTC
Created attachment 308360 [details]
first test patch

gah, forgot to remove the debug crap.

Comment 6 Aristeu Rozanski 2008-06-13 14:49:49 UTC
Created attachment 309219 [details]
test case

test case written using the sample code found on
https://bugzilla.redhat.com/attachment.cgi?id=309183 (BZ#445215, comment 23)

Comment 7 Aristeu Rozanski 2008-06-19 14:41:33 UTC
Created attachment 309849 [details]
updated test case

updated test case

Comment 9 Aristeu Rozanski 2008-07-14 14:41:01 UTC
Any results from the tests?


Comment 12 Aristeu Rozanski 2008-08-28 21:17:15 UTC
Created attachment 315299 [details]
[1/2] backport termiox support

Comment 13 Aristeu Rozanski 2008-08-28 21:17:49 UTC
Created attachment 315300 [details]
[2/2] add support for DTR/DSR flow control

Comment 14 Aristeu Rozanski 2008-08-28 21:18:15 UTC
Created attachment 315301 [details]
updated test case

Comment 16 Don Zickus 2008-09-10 20:13:48 UTC
in kernel-2.6.18-110.el5
You can download this test kernel from http://people.redhat.com/dzickus/el5

Comment 19 Don Zickus 2008-09-25 21:16:43 UTC
Patch wasn't complete and was missing a mutex lock.  Moving to POST state to pick up for next kernel spin.

Comment 21 Don Zickus 2008-10-06 15:55:53 UTC
in kernel-2.6.18-118.el5
You can download this test kernel from http://people.redhat.com/dzickus/el5

Comment 30 errata-xmlrpc 2009-01-20 19:33:55 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2009-0225.html


Note You need to log in before you can comment on or make changes to this bug.